//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/LinTechOpAmps.h,v $
// $Id: LinTechOpAmps.h,v 1.3 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_LINTECH_OPAMPS_H	// prevent multiple includes
#define ETECH_LINTECH_OPAMPS_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/OpAmp.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

// --- operational amplifiers made by Linear Technology -----------------


/// represents the very fast high precision operational amplifier LT1028
/**
 {\tt LT1028} represents the very fast high precision operational amplifier 
 LT1028 made by Linear Technology which can be used both in DC (direct 
 current) and in AC (alternate current) applications.
 */
class LT1028: public OpAmp
{
  public:
    /// default constructor
    LT1028();
};



/// represents the audio operational amplifier LT1115
/**
 {\tt LT1115} represents the audio operational amplifier LT1115 made by 
Linear Technology which can be used both in DC (direct current) and in AC
 (alternate current) applications.
 */
class LT1115: public OpAmp
{
  public:
    /// default constructor
    LT1115();
};


END_NAMESPACE

#endif // ETECH_LINTECH_OPAMPS_H
