//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/PhysConst.h,v $
// $Id: PhysConst.h,v 1.4 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_PHYSCONST_H	// prevent multiple includes
#define ETECH_PHYSCONST_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/Types.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

#define PhysConst_T25 298.13
#define PhysConst_BOLTZMANN 1.381e-23
#define PhysConst_EPS0 1.6e-19

/// represents some physical constants
/**
 {\tt PhysConst} is a class containing some physical constants.
 */
class PhysConst
{
 public:
    /// Boltzmann constant
    static const Dbl Boltzmann = 1.381e-23;
    /// eps0
    static const Dbl eps0 = 1.6e-19;
    /// temperature of 25 degree Celsius in Kelvin
    static const Dbl t25 = 298.13;
}; // class Physconst


END_NAMESPACE

#endif // ETECH_PHYSCONST_H
