//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/Transistor.h,v $
// $Id: Transistor.h,v 1.6 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_TRANSISTOR_H	// prevent multiple includes
#define ETECH_TRANSISTOR_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/PhysConst.h>
#include <AH/Etech/Current.h>

USING_NAMESPACE(Ah)
BEGIN_NAMESPACE(Ah)

// --- forward declarations ---

class Voltage;

// --- types and classes ---

/// represents a generic transistor
/**
 {\tt Transistor} is a pure virtual transistor base class, which just
 defines the common interface to all Transistors.
 */
class Transistor
{
  public:
    /// destructor
    virtual ~Transistor() {}

    // access functions :
    /// return steilheit
    virtual Cplx getS(const Voltage& u, Dbl t = PhysConst_T25) const = 0;
//    virtual Cplx getS(const Voltage& u, Dbl t = PhysConst::t25) const = 0;
    /// return steilheit
    virtual Cplx getS(const Current& i, Dbl t = PhysConst_T25) const = 0;
//    virtual Cplx getS(const Current& i, Dbl t = PhysConst::t25) const = 0;
    /// return output current depending on input voltage
    virtual Current getIout(const Voltage& Uin, 
			    Dbl t = PhysConst_T25) const = 0;
//			    Dbl t = PhysConst::t25) const = 0;

}; // class Transistor


END_NAMESPACE
#endif // ETECH_TRANSISTOR_H
