//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/LinTechOpAmps.c,v $
// $Id: LinTechOpAmps.c,v 1.3 2001/10/05 23:44:26 ah Exp $
//
// Description: implementation of Linear Technology operational amplifiers
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: LinTechOpAmps.c,v 1.3 2001/10/05 23:44:26 ah Exp $ (c) 1997 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/LinTechOpAmps.h>
#include <AH/Etech/Resistor.h>
#include <AH/Etech/Capacitor.h>

// --- local stuff ---

// --- class member implementation ---

// default constructor
LT1028::LT1028() : OpAmp("LT1028", 30e6, 75e6, 80, 0.9e-9, 5, 1e-12, 250) 
{
    Rin = new Resistor(20e3);	// 20 kohm (differential)
    Cin = new Capacitor(5e-12);	// 5 pF
}

// default constructor
LT1115::LT1115() : OpAmp("LT1115", 20e6, 40e6, 70, 0.9e-9, 5, 1e-12, 250)
{
    Rin = new Resistor(15e3);	// 15 kohm (differential)
    Cin = new Capacitor(5e-12);	// 5 pF
}


