//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/VisatonSpeakers.c,v $
// $Id: VisatonSpeakers.c,v 1.3 2001/10/05 23:44:26 ah Exp $
//
// Description: implementation of class Speaker
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: VisatonSpeakers.c,v 1.3 2001/10/05 23:44:26 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/VisatonSpeakers.h>
#include <AH/Etech/IntPol.h>

// --- local stuff ---

static struct IntPolData SC_10_data[] = 
{
    {   400,	60},
    {   500,	66},
    {   600,	70},
    {   700,	74},
    {   800,	76},
    {   900,	77},
    {  1000,	80},
    {  1500,	87},
    {  1700,	89},
    {  2000,	90},
    {  3000,	90},
    {  5000,	91},
    {  6000,	92},
    {  7000,	90},
    {  8000,	90},
    {  9000,	89},
    { 10000,	90},
    { 15000,	90},
    { 20000,	87}
};

// --- class member implementation ---

// static members:
IntPol* Visaton_SC_10::splCurve = 0; 

// default constructor
Visaton_SC_10::Visaton_SC_10() 
    : Speaker("VISATON SC 10")
{
    Rdc = 6.3;	// Ohm
    Fr  = 1700;	// Hz
    Spl = 90;
}


/// get acoustic power level dB/W/m at specified frequency
Dbl Visaton_SC_10::getSpl(Dbl freq) const
{
    if(!splCurve)
    {
	splCurve = new IntPolLog1Lin2(SC_10_data, 
			sizeof(SC_10_data)/sizeof(*SC_10_data));
    }
    return splCurve->getY(freq);
}




