//---------------------------------------------------------------------------
// Copyright 1999 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file `COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/libAHio/TestRiffStartChunk.c,v $
// $Id: 
//
// Description: 
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: TestRiffStartChunk.c,v 1.1 2000/02/27 00:29:56 ah Exp $ (c) 1999 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/IO/Riff/StartChunk.h>	// my interface first, says Lakos
#include <AH/IO/CFormat.h>
#include <AH/IO/Smart/FilePtr.h>
#include <AH/IO/Smart/Buffer.h>
USING_NAMESPACE(AH)

#include <iostream>
USING_NAMESPACE(std)

unsigned int execute_test
(
    const unsigned char*	buf,
    unsigned int		size
)
{
    // get RIFF info from file data in buffer:
    IORiffStartChunk start(buf);
    start.printInfo(cout, "- start: ");
    cout << "- start: offset to next chunk = " << start.nextChunk() - buf 
         << " bytes" << endl;
    cout << "- start: offset to chunk data = " << start.chunkData() - buf 
         << " bytes" << endl;

    IORiffChunk wave(start.nextChunk());
    wave.printInfo(cout, "- wave: ");
    cout << "- wave: offset to next chunk = " 
	 << wave.nextChunk() - start.nextChunk() << " bytes" << endl;
    cout << "- wave: offset to chunk data = " 
	 << wave.chunkData() - start.nextChunk() << " bytes" << endl;

    IORiffChunk cnk3(wave.nextChunk()+4);
    cnk3.printInfo(cout, "- cnk3: ");
    cout << "- cnk3: offset to next chunk = " 
	 << cnk3.nextChunk() - wave.nextChunk() << " bytes" << endl;
    cout << "- cnk3: offset to chunk data = " 
	 << cnk3.chunkData() - wave.nextChunk() << " bytes" << endl;

    return 0;
}



int main(int argc, char* argv[])
{
    cerr << "Test of " << argv[0] << ":" << endl;

    unsigned int errnum = 0;
    for (int i=1; i < argc; i++)
    {
	string filename(argv[i]);
	cerr << "processing " << filename << " ..." << endl;

	IOSmartFilePtr file(filename, "r");
	IOSmartBuffer<unsigned char> buf(1024);
	if (0 == fread(buf(), buf.getSize(), 1, file())) 
	    throw ErrorSys("cannot open " + filename);
	errnum += execute_test(buf(), 1024);
    }

    // print test results:
    cerr << argv[0] << ": ";
    if (errnum)
    {
	cerr << "failed with " << errnum << " error"
	     << (errnum > 1 ? "s" : "") << ". stop." << endl;
	return 1;;
    }
    cerr << "passed." << endl;
    return 0;
}
