/*
 *******************************************************************
 *
 * $Source: /bscl/CvsTree/bscl/gen/src/lib/libcb/localend.c,v $
 *
 * Copyright (c) 1995
 * BRUKER ANALYTISCHE MESSTECHNIK GMBH
 * D-76287 Rheinstetten, Germany
 *
 * All Rights Reserved
 *
 *
 * $Locker:  $
 * $State: Exp $
 * $Log: localend.c,v $
 * Revision 1.2  1995/12/21 16:24:44  ah
 * removed warnings caused by AllCWarnFlags.
 *
 * Revision 1.1  1995/07/12 15:03:19  ah
 * Initial revision
 *
 *
 *******************************************************************
 *	local_endian()- return 0/1 for little/big endian
 *
 *	Library:	/bscl/lib/libcb.a
 *	Source:		/bscl/src/lib/libcb/localswap4.c
 *	Documentation:	/bscl/docu/lib/libcb/localend.tex
 *
 *	Return Values:	0 for little endian
 *			1 for big endian
 *
 *	Error Message:	none
 *******************************************************************
 */

#include <lib/libcb.h>

static const char rcsid[] = "$Header: /bscl/CvsTree/bscl/gen/src/lib/libcb/localend.c,v 1.2 1995/12/21 16:24:44 ah Exp $ (C) 1995 Bruker Analyt. Messt.";

/****************************************************************/
int local_endian(void)		/* little endian machines: 0	*/
				/* big    endian machines: 1	*/
/****************************************************************/
{
    int val = 1;
    return (*(char*)&val == 0);
}

